Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002291KdenliveMLTpublic2011-08-25 00:432011-11-01 18:56
Reportermcfrisk 
Assigned Tottill 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
Platform32 bit intel and alikeOSDebian LinuxOS Version4.0
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002291: melt rendering hangs
DescriptionPreviewing project works with kdenlive and melt but rendering hangs.
Steps To ReproduceTry to render a project.
Additional InformationInterrupting melt when it hangs produces this trace:

$ gdb --args "/usr/bin/melt" "hintertux_01.kdenlive" -profile atsc_720p_30 -consumer avformat:/home/mcfrisk/video/20110813_hintertux/hintertux_water_skiing_01.mp4 progress=1 f=mp4 hq=1 acodec=aac ab=384k ar=48000 pix_fmt=yuv420p vcodec=libx264 minrate=0 b=4000k g=250 bf=3 b_strategy=1 subcmp=2 cmp=2 coder=1 flags=+loop flags2=dct8x8 qmax=51 subq=7 qmin=10 qcomp=0.6 qdiff=4 trellis=1 aspect=@16/9 progressive=1 threads=1 real_time=-1
GNU gdb (GDB) 7.2-debian
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>... [^]
Reading symbols from /usr/bin/melt...done.
(gdb) r
Starting program: /usr/bin/melt hintertux_01.kdenlive -profile atsc_720p_30 -consumer avformat:/home/mcfrisk/video/20110813_hintertux/hintertux_water_skiing_01.mp4 progress=1 f=mp4 hq=1 acodec=aac ab=384k ar=48000 pix_fmt=yuv420p vcodec=libx264 minrate=0 b=4000k g=250 bf=3 b_strategy=1 subcmp=2 cmp=2 coder=1 flags=+loop flags2=dct8x8 qmax=51 subq=7 qmin=10 qcomp=0.6 qdiff=4 trellis=1 aspect=@16/9 progressive=1 threads=1 real_time=-1
[Thread debugging using libthread_db enabled]
[New Thread 0xa8699b70 (LWP 26468)]
[New Thread 0xa6db3b70 (LWP 26469)]
[New Thread 0xa56c2b70 (LWP 26470)]ge: 0
^Crrent Frame: 2987, percentage: 61
Program received signal SIGINT, Interrupt.
0xb7fe2424 in __kernel_vsyscall ()
(gdb) bt full
#0 0xb7fe2424 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb7f8db16 in nanosleep () at ../sysdeps/unix/syscall-template.S:82
No locals.
0000002 0x0804a645 in transport (argc=34, argv=0xbfffedf4) at melt.c:369
        value = <value optimized out>
        properties = 0x81940a8
        silent = 0
        progress = 1
        tm = {tv_sec = 0, tv_nsec = 40000}
        total_length = 4823
        last_position = 2987
0000003 main (argc=34, argv=0xbfffedf4) at melt.c:851
        melt_props = 0x81940a8
        group = <value optimized out>
        properties = <value optimized out>
        i = <value optimized out>
        consumer = 0x805d1d0
        melt = 0x81940a8
        store = <value optimized out>
        name = <value optimized out>
        profile = 0x805d030
        is_progress = 134528998
---Type <return> to continue, or q <return> to quit---
        is_silent = <value optimized out>
        backup_profile = <value optimized out>
        repo = 0x81940a8
(gdb) thread apply all bt full

Thread 4 (Thread 0xa56c2b70 (LWP 26470)):
#0 0xb7fe2424 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb7ee3f86 in __poll (fds=0xb7f7aff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
0000002 0xb7ab9f5b in g_poll () from /lib/libglib-2.0.so.0
No symbol table info available.
0000003 0xb7aa996f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
0000004 0xb7aaa0f3 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
0000005 0xb7a0d274 in ?? () from /usr/lib/libgio-2.0.so.0
No symbol table info available.
0000006 0xb7ad2b6f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
0000007 0xb7f85c39 in start_thread (arg=0xa56c2b70) at pthread_create.c:304
        __res = <value optimized out>
        __ignore1 = <value optimized out>
        __ignore2 = <value optimized out>
---Type <return> to continue, or q <return> to quit---
        pd = 0xa56c2b70
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {-1208393740, 0, 4001536,
                -1519639400, -1104472531, -1764465656}, mask_was_saved = 0}},
          priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0,
              cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
0000008 0xb7ef196e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
No locals.

Thread 3 (Thread 0xa6db3b70 (LWP 26469)):
#0 0xb7fe2424 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb7f8a20a in __pthread_cond_wait (cond=0x805d238, mutex=0x805d220)
    at pthread_cond_wait.c:153
        __status = -512
        _val = 4937
        futex_val = <value optimized out>
        buffer = {__routine = 0xb7f8a3a0 <__condvar_cleanup>,
          __arg = 0xa6db328c, __canceltype = -1208248712, __prev = 0x0}
        cbuffer = {oldtype = 0, cond = 0x805d238, mutex = 0x805d220,
---Type <return> to continue, or q <return> to quit---
          bc_seq = 2468}
        err = <value optimized out>
        pshared = 0
        val = <value optimized out>
        seq = 2468
0000002 0xb7fb19fc in consumer_read_ahead_thread (arg=0x805d1d0)
    at mlt_consumer.c:687
        time_current = <value optimized out>
        self = 0x805d1d0
        properties = 0x805d1d0
        width = 1280
        height = 720
        video_off = 0
        preview_off = <value optimized out>
        preview_format = <value optimized out>
        afmt = mlt_audio_pcm
        counter = 2987
        fps = 30
        channels = 2
        frequency = 48000
        samples = 1600
        audio = 0xaed54f0
        audio_off = 0
---Type <return> to continue, or q <return> to quit---
        buffer = 26
        frame = 0xbcbe288
        image = 0x8ce42030 "\210~\210~\210~\211~\210~\210~\207~\210~\210~\210~\210~\211~\211~\211~\211~\211~\211~\211~\211~\211~\211~\211~\211~\211~\212~\212~\212~\212~\212~\212~\212~\212~\213~\213~\213~\213~\213~\214~\214~\214~\214~\214~\214~\214~\214~\213~\213~\213~\212~\212~\211~\211~\211~\211~\211~\212~\211~\211~\211~\210~\210~\210~\210~\211~\207~\207~\207~\205~\205~\205~\204~\204~\204~\203~\204~\204~\203~\203~\203\177\202~\202\177\203~\203\177\202~\202\177\202~\203\177\204~\204\177\204~\204\177\202~\202\177\200~\202~\206~\205~\205~\205~\207~"...
        ante = {tv_sec = 1314221863, tv_usec = 193763}
        count = 2980
        skipped = 0
        time_process = 517793115
        skip_next = 0
        pos = <value optimized out>
        start_pos = 0
        last_pos = 2986
        frame_duration = 33333
        drop_max = 5
0000003 0xb7f85c39 in start_thread (arg=0xa6db3b70) at pthread_create.c:304
        __res = <value optimized out>
        __ignore1 = <value optimized out>
        __ignore2 = <value optimized out>
---Type <return> to continue, or q <return> to quit---
        pd = 0xa6db3b70
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {-1208393740, 0, 4001536,
                -1495583592, -804579798, -1764465656}, mask_was_saved = 0}},
          priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0,
              cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
0000004 0xb7ef196e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
No locals.

Thread 2 (Thread 0xa8699b70 (LWP 26468)):
#0 cbrtf () at ../sysdeps/i386/fpu/s_cbrtf.S:156
No locals.
#1 0xb4fa12f5 in quantize_and_encode_band_cost_template (s=0xa53e200,
    pb=0xa53e208, in=0xb5cdd80, scaled=0x0, size=32, scale_idx=114, cb=11,
    lambda=1.40129846e-45, uplim=inf, bits=0x0) at libavcodec/aaccoder.c:164
        t = <value optimized out>
        di = <value optimized out>
        quants = 0xa53f2a0
        rd = 0
        vec = 0xb53d2390
---Type <return> to continue, or q <return> to quit---
        curidx = 288
        curbits = 5
        j = 0
        IQ = <value optimized out>
        CLIPPED_ESCAPE = 934172.875
        resbits = <value optimized out>
        Q = <value optimized out>
        i = <value optimized out>
        cost = <value optimized out>
        Q34 = <value optimized out>
0000002 quantize_and_encode_band_cost_ESC (s=0xa53e200, pb=0xa53e208,
    in=0xb5cdd80, scaled=0x0, size=32, scale_idx=114, cb=11,
    lambda=1.40129846e-45, uplim=inf, bits=0x0) at libavcodec/aaccoder.c:227
No locals.
0000003 0xb4f9fff9 in quantize_and_encode_band (s=0xa53e200, pb=0xa53e208,
    in=0xb5cdd80, size=32, scale_idx=114, cb=11, lambda=1.40129846e-45)
    at libavcodec/aaccoder.c:269
No locals.
0000004 0xb4fae3ea in encode_spectral_coeffs (avctx=0x81a03c0,
    frame=0x9137a20 "!\032\204\365\375n5\334j\312\353?\352\336\377\n\371\363\351B^L\274\352\373\353\201o", buf_size=43008, data=0x988ce00)
    at libavcodec/aacenc.c:446
        start = <value optimized out>
---Type <return> to continue, or q <return> to quit---
        i = <value optimized out>
        w = <value optimized out>
        w2 = 0
0000005 encode_individual_channel (avctx=0x81a03c0,
    frame=0x9137a20 "!\032\204\365\375n5\334j\312\353?\352\336\377\n\371\363\351B^L\274\352\373\353\201o", buf_size=43008, data=0x988ce00)
    at libavcodec/aacenc.c:471
No locals.
0000006 aac_encode_frame (avctx=0x81a03c0,
    frame=0x9137a20 "!\032\204\365\375n5\334j\312\353?\352\336\377\n\371\363\351B^L\274\352\373\353\201o", buf_size=43008, data=0x988ce00)
    at libavcodec/aacenc.c:629
        wi = 0x1d
        frame_bits = 2
        s = <value optimized out>
        samples = 0x0
        samples2 = <value optimized out>
        la = <value optimized out>
        cpe = 0xb5bff60
        i = <value optimized out>
        ch = <value optimized out>
        w = <value optimized out>
        g = <value optimized out>
---Type <return> to continue, or q <return> to quit---
        chans = 2
        tag = <value optimized out>
        start_ch = <value optimized out>
        chan_map = <value optimized out>
        chan_el_counter = {0, 1, 0, 0}
        windows = {{window_type = {0, 0, 0}, window_shape = 1,
            num_windows = 1, grouping = {1, 0, 0, 0, 0, 0, 0, 0},
            window_sizes = 0x0}, {window_type = {0, 0, 0}, window_shape = 1,
            num_windows = 1, grouping = {1, 0, 0, 0, 0, 0, 0, 0},
            window_sizes = 0x0}, {window_type = {-1611661296, -1209463466,
              140223328}, window_shape = -1246982704,
            num_windows = -1610708802, grouping = {0, 140663232, 140663232,
              135923648, -1657765880, 186013888, -1247044798, 140223328},
            window_sizes = 0x85d2da0}, {window_type = {27102, 27098, 0},
            window_shape = -1209449599, num_windows = -1611064456, grouping = {
              -1246448492, -1469477556, 0, 0, -1259399662, 0, -1209449507, 0},
            window_sizes = 0x1}, {window_type = {-1469477556, 0, -1469477556},
            window_shape = -1258369548, num_windows = -1469477524, grouping = {
              135920320, 2954, 0, -1469477556, 0, -1469477556, -1258368056,
              -1469477556}, window_sizes = 0xb7f7aff4}, {window_type = {
              -1208499264, -1208252228, 0}, window_shape = -1469477556,
            num_windows = 0, grouping = {-1246448156, 135844480, -1469477556,
              0, 0, 228426664, -1209449507, 49}, window_sizes = 0xb7fc015c}}
---Type <return> to continue, or q <return> to quit---
0000007 0xb52e6c30 in avcodec_encode_audio (avctx=0x81a03c0,
    buf=0x9137a20 "!\032\204\365\375n5\334j\312\353?\352\336\377\n\371\363\351B^L\274\352\373\353\201o", buf_size=43008, samples=0x988ce00)
    at libavcodec/utils.c:658
        ret = 2
0000008 0xb6a40096 in consumer_thread (arg=0x805d1d0) at consumer_avformat.c:1440
        stream = 0x81a0b20
        codec = 0x81a03c0
        pkt = {pts = -9223372036854775808, dts = -9223372036854775808,
          data = 0x9137a20 "!\032\204\365\375n5\334j\312\353?\352\336\377\n\371\363\351B^L\274\352\373\353\201o", size = 995, stream_index = 0, flags = 0,
          side_data = 0x0, side_data_elems = 0, duration = 0, destruct = 0,
          priv = 0x0, pos = -1, convergence_duration = 0}
        j = <value optimized out>
        n = <value optimized out>
        consumer = 0x805d1d0
        properties = 0x805d1d0
        terminate_on_pause = 1
        terminated = 0
        real_time_output = -1
        ante = {tv_sec = 1314221338, tv_usec = 743995}
        fps = 30
        width = 1280
---Type <return> to continue, or q <return> to quit---
        height = 720
        img_width = 1280
        img_height = 720
        aud_fmt = mlt_audio_pcm
        channels = 2
        total_channels = 2
        frequency = 48000
        pcm = 0x9753cde0
        samples = 1024
        audio_outbuf = 0x9137a20 "!\032\204\365\375n5\334j\312\353?\352\336\377\n\371\363\351B^L\274\352\373\353\201o"
        audio_input_frame_size = 1024
        frame_count = 2960
        video_outbuf = 0xa7c98020 ""
        frame = <value optimized out>
        frame_properties = <value optimized out>
        queue = 0x89fc6f0
        fifo = 0xb7b6a70
        output = 0xa2c8ee0
        input = 0x9142240
        image = 0x8fd48030 "t\200t~v\200y~{\200~~~\200|~~\200~~\201\177\203}\200\177\200}\200\177\177}}\177{}{\177|}}\177~}}\177z}y\177y}z\177|}|\177|}|\177z}z\177z}y\177x}x\177x}x\177y}y\177y}y\200x}x\200x}x\200y}y\200x}x\200y}y\200y}x\200---Type <return> to continue, or q <return> to quit---
u}q\200q}r\200r}u\200u}w\200y}x\200x}y\200w}u\200u}u\200t}s\200s}s\200r}q\200q}q\200r}s\200s}s\200r}q\200q}q\200q}q\200q|q\200p|o\200o|o\200o|o\200o|o\200o|"...
        img_fmt = mlt_image_yuv422
        audio_buf_1 = 0x988ce00
        audio_buf_2 = 0x0
        count = 2960
        oc = 0x818d280
        video_st = 0x818d760
        audio_st = {0x81a0b20, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}
        audio_pts = 98.495999999999995
        video_pts = 98.5
        frames = 2960
        total_time = 98665680
        fmt = 0xb5b859c0
        filename = 0x0
        format = <value optimized out>
        vcodec = 0x83ceed8 "libx264"
        acodec = 0x8a2ed68 "aac"
        audio_codec = 0xb6a42a85
        video_codec = 0xbd1f0c0
        audio_codec_id = 86018
        video_codec_id = 135845728
---Type <return> to continue, or q <return> to quit---
        key = "channels.7", '\000' <repeats 16 times>
        frame_meta_properties = 0x9142228
        i = <value optimized out>
0000009 0xb7f85c39 in start_thread (arg=0xa8699b70) at pthread_create.c:304
        __res = <value optimized out>
        __ignore1 = <value optimized out>
        __ignore2 = <value optimized out>
        pd = 0xa8699b70
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {-1208393740, 0, 4001536,
                -1469475688, -1253370313, -1764465656}, mask_was_saved = 0}},
          priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0,
              cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
0000010 0xb7ef196e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
No locals.

Thread 1 (Thread 0xb7e206c0 (LWP 26465)):
#0 0xb7fe2424 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb7f8db16 in nanosleep () at ../sysdeps/unix/syscall-template.S:82
---Type <return> to continue, or q <return> to quit---
No locals.
0000002 0x0804a645 in transport (argc=34, argv=0xbfffedf4) at melt.c:369
        value = <value optimized out>
        properties = 0x81940a8
        silent = 0
        progress = 1
        tm = {tv_sec = 0, tv_nsec = 40000}
        total_length = 4823
        last_position = 2987
0000003 main (argc=34, argv=0xbfffedf4) at melt.c:851
        melt_props = 0x81940a8
        group = <value optimized out>
        properties = <value optimized out>
        i = <value optimized out>
        consumer = 0x805d1d0
        melt = 0x81940a8
        store = <value optimized out>
        name = <value optimized out>
        profile = 0x805d030
        is_progress = 134528998
        is_silent = <value optimized out>
        backup_profile = <value optimized out>
        repo = 0x81940a8
(gdb)
(gdb)
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0007214)
mcfrisk (reporter)
2011-08-25 00:58

Changing from aac to mp3 audio codec, smaller bitrate and CD level sampling is a workaround, and rendering goes past 61%:

$ "/usr/bin/melt" "hintertux_01.kdenlive" -profile atsc_720p_30 -consumer avformat:/home/mcfrisk/video/20110813_hintertux/hintertux_water_skiing_01.mp4 progress=1 f=mp4 hq=1 acodec=libmp3lame ab=128k ar=44100 pix_fmt=yuv420p vcodec=libx264 minrate=0 b=4000k g=250 bf=3 b_strategy=1 subcmp=2 cmp=2 coder=1 flags=+loop flags2=dct8x8 qmax=51 subq=7 qmin=10 qcomp=0.6 qdiff=4 trellis=1 aspect=@16/9 progressive=1 threads=1 real_time=-1
Current Frame: 3487, percentage: 72
(0007215)
mcfrisk (reporter)
2011-08-25 06:50

Now melt crashes in the end:

Starting program: /usr/bin/melt hintertux_01.kdenlive -profile atsc_720p_30 -consumer avformat:/home/mcfrisk/video/20110813_hintertux/hintertux_water_skiing_01.mp4 progress=1 f=mp4 hq=1 acodec=libml3lame ab=128k ar=44100 pix_fmt=yuv420p vcodec=libx264 minrate=0 b=4000k g=250 bf=3 b_strategy=1 subcmp=2 cmp=2 coder=1 flags=+loop flags2=dct8x8 qmax=51 subq=7 qmin=10 qcomp=0.6 qdiff=4 trellis=1 aspect=@16/9 progressive=1 threads=1 real_time=-1
[Thread debugging using libthread_db enabled]
[New Thread 0xa8ea1b70 (LWP 26723)]
[New Thread 0xa74ffb70 (LWP 26724)]
[New Thread 0xa5e0eb70 (LWP 26725)]ge: 0
Current Frame: 4822, percentage: 99
[Thread 0xa8ea1b70 (LWP 26723) exited]
[Thread 0xa74ffb70 (LWP 26724) exited]

Program received signal SIGSEGV, Segmentation fault.
0xb5d75e36 in ?? () from /usr/lib/libQtCore.so.4
(gdb) thread apply all bt full

Thread 4 (Thread 0xa5e0eb70 (LWP 26725)):
#0 0xb7fe2424 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb7ee3f86 in __poll (fds=0xb7f7aff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
0000002 0xb7ab9f5b in g_poll () from /lib/libglib-2.0.so.0
No symbol table info available.
0000003 0xb7aa996f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
0000004 0xb7aaa0f3 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
0000005 0xb7a0d274 in ?? () from /usr/lib/libgio-2.0.so.0
No symbol table info available.
0000006 0xb7ad2b6f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
0000007 0xb7f85c39 in start_thread (arg=0xa5e0eb70) at pthread_create.c:304
        __res = <value optimized out>
        __ignore1 = <value optimized out>
        __ignore2 = <value optimized out>
---Type <return> to continue, or q <return> to quit---
        pd = 0xa5e0eb70
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {-1208393740, 0, 4001536,
                -1511988072, -421485040, -677391308}, mask_was_saved = 0}},
          priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0,
              cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
0000008 0xb7ef196e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
No locals.

Thread 1 (Thread 0xb7e206c0 (LWP 26699)):
#0 0xb5d75e36 in ?? () from /usr/lib/libQtCore.so.4
No symbol table info available.
#1 0xb5d72aac in QFactoryLoader::~QFactoryLoader() ()
   from /usr/lib/libQtCore.so.4
No symbol table info available.
0000002 0xb5d72b42 in QFactoryLoader::~QFactoryLoader() ()
   from /usr/lib/libQtCore.so.4
No symbol table info available.
0000003 0xb60e4568 in ?? () from /usr/lib/libQtGui.so.4
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
0000004 0xb7e548a8 in __cxa_finalize (d=0xb6989560) at cxa_finalize.c:56
        check = 484
        cxafn = 0xb60e4550
        cxaarg = 0xb698dde0
        f = 0xbd96ab0
        funcs = <value optimized out>
0000005 0xb6016054 in ?? () from /usr/lib/libQtGui.so.4
No symbol table info available.
0000006 0xb67465c0 in _fini () from /usr/lib/libQtGui.so.4
No symbol table info available.
0000007 0xb7ff59be in ?? () from /lib/ld-linux.so.2
No symbol table info available.
0000008 0xb7ff6477 in ?? () from /lib/ld-linux.so.2
No symbol table info available.
0000009 0xb7e21cc4 in dlclose_doit (handle=0x8073968) at dlclose.c:37
No locals.
0000010 0xb7ff0b46 in ?? () from /lib/ld-linux.so.2
No symbol table info available.
0000011 0xb7e220bc in _dlerror_run (operate=<value optimized out>,
    args=<value optimized out>) at dlerror.c:164
        result = 0x80741c0
0000012 0xb7e21cfa in __dlclose (handle=0x0) at dlclose.c:48
No locals.
---Type <return> to continue, or q <return> to quit---
0000013 0xb7fa51e9 in mlt_property_clear (self=0x8076fa8) at mlt_property.c:117
No locals.
0000014 mlt_property_close (self=0x8076fa8) at mlt_property.c:590
No locals.
0000015 0xb7fa591d in mlt_properties_close (self=0x80537c0)
    at mlt_properties.c:1317
        list = 0x80537e8
        index = <value optimized out>
0000016 mlt_properties_close (self=0x80537c0) at mlt_properties.c:1288
No locals.
0000017 0xb7fb6e9e in mlt_repository_close (self=0x80537c0) at mlt_repository.c:240
No locals.
0000018 0xb7fb5dbb in mlt_factory_close () at mlt_factory.c:379
No locals.
0000019 0x08049cc2 in main (argc=34, argv=0xbfffede4) at melt.c:881
        i = <value optimized out>
        consumer = 0x805d1d0
        melt = <value optimized out>
        store = <value optimized out>
        name = <value optimized out>
        profile = <value optimized out>
        is_progress = <value optimized out>
        is_silent = <value optimized out>
---Type <return> to continue, or q <return> to quit---
        backup_profile = <value optimized out>
        repo = 0x81940a8
(gdb)
(0007220)
mcfrisk (reporter)
2011-08-25 23:25

There were some libqt updates to Debian unstable which fixed the qt related crash at the end of melt rendering.

Then I updated to latest ffmpeg from git and rendering with h264 video and libmp3lame audio now works. Have not tried aac audio yet.

Maybe this bug can be closed since this is a combination of qt, ffmpeg and maybe libaac issue.

- Issue History
Date Modified Username Field Change
2011-08-25 00:43 mcfrisk New Issue
2011-08-25 00:58 mcfrisk Note Added: 0007214
2011-08-25 06:50 mcfrisk Note Added: 0007215
2011-08-25 23:25 mcfrisk Note Added: 0007220
2011-09-18 22:58 ttill Status new => resolved
2011-09-18 22:58 ttill Fixed in Version => 0.8.2
2011-09-18 22:58 ttill Resolution open => no change required
2011-09-18 22:58 ttill Assigned To => ttill
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker